type LazyImport = () => Promise<any>;
type GlobResult = Record<string, LazyImport>;
type CollectionToEntryMap = Record<string, GlobResult>;
type GetEntryImport = (collection: string, lookupId: string) => Promise<LazyImport>;
export declare function createCollectionToGlobResultMap({ globResult, contentDir, }: {
    globResult: GlobResult;
    contentDir: string;
}): CollectionToEntryMap;
export declare function createGetCollection({ collectionToEntryMap, getRenderEntryImport, }: {
    collectionToEntryMap: CollectionToEntryMap;
    getRenderEntryImport: GetEntryImport;
}): (collection: string, filter?: ((entry: any) => unknown) | undefined) => Promise<any[]>;
export declare function createGetEntryBySlug({ getEntryImport, getRenderEntryImport, }: {
    getEntryImport: GetEntryImport;
    getRenderEntryImport: GetEntryImport;
}): (collection: string, slug: string) => Promise<{
    id: any;
    slug: any;
    body: any;
    collection: any;
    data: any;
    render(): Promise<{
        Content: import("../runtime/server/index.js").AstroComponentFactory;
        headings: any;
        remarkPluginFrontmatter: any;
    }>;
} | undefined>;
export {};
